---
title: Touch()
slug: Web/API/Touch/Touch
tags:
  - API
  - Constructor
  - Experimental
  - Reference
  - touch
---
<p>{{APIRef("Touch Events")}}{{SeeCompatTable}}</p>

<p>The <strong><code>Touch()</code></strong> constructor creates a new {{domxref("Touch")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="notranslate"> <em>touch</em> = new Touch(<em>touchInit</em>);</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><em>touchInit</em></dt>
</dl>

<dl>
 <dd>Is a <code>TouchInit</code> dictionary, having the following fields:</dd>
 <dd>
 <ul>
  <li><code>"identifier"</code>, required, of type <code>long</code>, that is the identification number for the touch point.</li>
  <li><code>"target"</code>, required, of type {{domxref("EventTarget")}}, the item at which the touch point started when it was first placed on the surface.</li>
  <li><code>"clientX"</code>, optional and defaulting to <code>0</code>, of type <font face="Consolas, Liberation Mono, Courier, monospace">double</font>, that is the horizontal position of the touch on the client window of user's screen, excluding any scroll offset.</li>
  <li><code>"clientY"</code>, optional and defaulting to <code>0</code>, of type <font face="Consolas, Liberation Mono, Courier, monospace">double</font>, that is the vertical position of the touch on the client window of the user's screen, excluding any scroll offset.</li>
  <li><code>"screenX"</code>, optional and defaulting to <code>0</code>, of type <font face="Consolas, Liberation Mono, Courier, monospace">double</font>, that is the horizontal position of the touch on the user's screen.</li>
  <li><code>"screenY"</code>, optional and defaulting to <code>0</code>, of type <font face="Consolas, Liberation Mono, Courier, monospace">double</font>, that is the vertical position of the touch on the user's screen.</li>
  <li><code>"pageX"</code>, optional and defaulting to <code>0</code>, of type <font face="Consolas, Liberation Mono, Courier, monospace">double</font>, that is the horizontal position of the touch on the client window of user's screen, including any scroll offset.</li>
  <li><code>"pageY"</code>, optional and defaulting to <code>0</code>, of type <font face="Consolas, Liberation Mono, Courier, monospace">double</font>, that is the vertical position of the touch on the client window of the user's screen, including any scroll offset.</li>
  <li><code>"radiusX"</code>, optional and defaulting to <code>0</code>, of type <font face="Consolas, Liberation Mono, Courier, monospace">float</font>, that is the radius of the ellipse which most closely circumscribes the touching area (e.g. finger, stylus) along the axis indicated by rotationAngle, in CSS pixels of the same scale as screenX; <code>0</code> if no value is known. The value must not be negative.</li>
  <li><code>"radiusY"</code>, optional and defaulting to <code>0</code>, of type <font face="Consolas, Liberation Mono, Courier, monospace">float</font>, that is the radius of the ellipse which most closely circumscribes the touching area (e.g. finger, stylus) along the axis perpendicular to that indicated by rotationAngle, in CSS pixels  of the same scale as screenY; <code>0</code> if no value is known. The value must not be negative.</li>
  <li><code>"rotationAngle"</code>, optional and defaulting to <code>0</code>, of type <font face="Consolas, Liberation Mono, Courier, monospace">float</font>, that is the angle (in degrees) that the ellipse described by radiusX and radiusY is rotated clockwise about its center; <code>0</code> if no value is known. The value must be greater than or equal to <code>0</code> and less than <code>90</code>. If the ellipse described by radiusX and radiusY is circular, then rotationAngle has no effect. The user agent may use <code>0</code> as the value in this case, or it may use any other value in the allowed range. (For example, the user agent may use the rotationAngle value from the previous touch event, to avoid sudden changes.).</li>
  <li><code>"force"</code>, optional and defaulting to <code>0</code>, of type <font face="Consolas, Liberation Mono, Courier, monospace">float</font>, that is the relative value of pressure applied, in the range <code>0</code> to <code>1</code>, where <code>0</code> is no pressure, and <code>1</code> is the highest level of pressure the touch device is capable of sensing; <code>0</code> if no value is known. In environments where force is known, the absolute pressure represented by the force attribute, and the sensitivity in levels of pressure, may vary.</li>
 </ul>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Touch Events 2','#touchevent-interface', 'TouchEvent')}}</td>
   <td>{{Spec2('Touch Events 2')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Touch.Touch")}}</p>

<h2 id="See_also"><br>
 See also</h2>

<ul>
 <li>{{domxref("TouchEvent")}}, the interface of the objects it constructs<br>
  .</li>
</ul>
